curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/benefits/{benefitId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lben_128f4bba81947c8542",
"name": "Coffee sample Ethiopia",
"type": "MATERIAL",
"status": "ACTIVE",
"stock": {
"type": "LIMITED",
"limited": {
"quantity": 495
}
},
"material": {
"type": "PRODUCT",
"product": {
"id": "prod_128f4baa45547c8530"
}
},
"created_at": "2026-06-11T10:34:24.645Z",
"updated_at": "2026-09-02T15:05:31.533Z",
"object": "benefit"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find benefit with id lben_128f4bba81947c854",
"request_id": "v-132d84aa1315d651a9",
"resource_id": "lben_128f4bba81947c854",
"resource_type": "benefit"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Get benefit
Returns a single benefit by its ID.
curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/benefits/{benefitId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lben_128f4bba81947c8542",
"name": "Coffee sample Ethiopia",
"type": "MATERIAL",
"status": "ACTIVE",
"stock": {
"type": "LIMITED",
"limited": {
"quantity": 495
}
},
"material": {
"type": "PRODUCT",
"product": {
"id": "prod_128f4baa45547c8530"
}
},
"created_at": "2026-06-11T10:34:24.645Z",
"updated_at": "2026-09-02T15:05:31.533Z",
"object": "benefit"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find benefit with id lben_128f4bba81947c854",
"request_id": "v-132d84aa1315d651a9",
"resource_id": "lben_128f4bba81947c854",
"resource_type": "benefit"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Unique benefit ID, prefixed with lben_.
^lben_[a-f0-9]+$Response
The benefit
Response body schema for GET /v2/loyalties/benefits/{benefitId}.
Unique benefit ID, prefixed with lben_.
^lben_[a-f0-9]+$Benefit name, unique within the project.
Benefit type.
POINTS, POINTS_PROPORTIONAL, MATERIAL, DIGITAL Current benefit status. DELETED appears only in the response of the delete endpoint and in activity snapshots.
DRAFT, ACTIVE, DELETED Stock configuration. Always present. Null stock is returned as UNLIMITED with limited omitted.
Show child attributes
Show child attributes
Timestamp of when the benefit was created, in ISO 8601 format.
Timestamp of the last update, in ISO 8601 format. null when the benefit was never updated.
Type of the object. Always benefit.
"benefit"Fixed points configuration. Present only when type is POINTS.
Show child attributes
Show child attributes
Proportional points configuration. Present only when type is POINTS_PROPORTIONAL.
Show child attributes
Show child attributes
Material configuration. Present only when type is MATERIAL.
Show child attributes
Show child attributes
Digital configuration. Present only when type is DIGITAL.
Show child attributes
Show child attributes

